Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

issue with new phone 7962 firmware upgrade

                   Hi guys,  we have CUCM with version 8.6,  firmware for 7962 is SCCP42.9-2-1S installed in CUCM.  All the existing 7962 phone are in same firmware.     Recently we have purchase a numbe of new 7962 phone.  The oringal firmware in the new phone is SCCP42.9-3-1SR1-1S.

Now the problem:   after connect those new phone, it try to downgrade it's firmware to 42.9-2.1S, and once it load the 42.9-2.1S, it keeping goes back to the upgrading window then reboot itself again.    I have pluge those new in the CME enviroment. register straight away.  for testing purpose I also try change the  file name to 42.9-3 in CUCM default setting, phone boots and did not go to the upgade window, but register has been reject, after manually add the phone, phone register. seem to me the problem is that the firwmare with version 42.9-2 for some reason is not working properly in the new 7962 phones.

Question:  my understanding is that if the phone firmware has lastest version than one in TFTP server, it should keep the lastest version without download from TFTP.  Also how can I prevent those new phone to be downgrade to the old firmware from TFTP in future. 

thanks in advance.  Roy   

1 ACCEPTED SOLUTION

Accepted Solutions
Hall of Fame Super Red

issue with new phone 7962 firmware upgrade

Hi Roy,

I'll just add this reference to the good tips from my buddy Deji.

+5 for this Deji

Here is the note that is causing the issues you are seeing. This is something

we are all going to have to watch for when buying new phones.

Hardware Updates

The hardware updates improve the compatibility of internal phone components.

The following table lists the updated hardware versions that require this release.

#

Phone

Hardware Version

Cisco Unified IP Phone 7942G

15.0 and higher

Cisco Unified IP Phone 7962G

15.0 and higher

Cisco Unified IP Phone 7945G

13.0 and higher

Cisco Unified IP Phone 7965G

13.0 and higher

Cisco Unified IP Phone 7975G

12.0 and higher

Phones  manufactured with these hardware versions must run Firmware  Release  9.3(1)SR1 or later. The phone firmware does not allow the phone  to be  downgraded to releases earlier than Release 9.3(1)SR1.

http://www.cisco.com/en/US/docs/voice_ip_comm/cuipph/7900_series/firmware/9_3_1SR1/release_notes/P790_BK_R4E1E768_00_rn-9_3_1_sr1-7900-series_chapter_00.html#P790_RF_ND56648A_00

Cheers!

Rob

"I don't know how, I don't know when
But you and I will meet again " 

- Tom Petty

4 REPLIES
VIP Super Bronze

issue with new phone 7962 firmware upgrade

Roy,

A phone will upgrade/downgrade to whatever file is available on its tftp server. If you dont want the phone to downgrade to the firmware on the tftp server then you need to install the 9.3 firmware on CUCM and set the phone load for this particular phone to use it. Be careful when you do this, dont restart your tftp service/server because this will force all your phones to upgrade to the latest firmware

Please rate all useful posts

"opportunity is a haughty goddess who waste no time with those who are unprepared"

Please rate all useful posts "The essence of christianity is not the enthronement but the obliteration of self --William Barclay"
Hall of Fame Super Red

issue with new phone 7962 firmware upgrade

Hi Roy,

I'll just add this reference to the good tips from my buddy Deji.

+5 for this Deji

Here is the note that is causing the issues you are seeing. This is something

we are all going to have to watch for when buying new phones.

Hardware Updates

The hardware updates improve the compatibility of internal phone components.

The following table lists the updated hardware versions that require this release.

#

Phone

Hardware Version

Cisco Unified IP Phone 7942G

15.0 and higher

Cisco Unified IP Phone 7962G

15.0 and higher

Cisco Unified IP Phone 7945G

13.0 and higher

Cisco Unified IP Phone 7965G

13.0 and higher

Cisco Unified IP Phone 7975G

12.0 and higher

Phones  manufactured with these hardware versions must run Firmware  Release  9.3(1)SR1 or later. The phone firmware does not allow the phone  to be  downgraded to releases earlier than Release 9.3(1)SR1.

http://www.cisco.com/en/US/docs/voice_ip_comm/cuipph/7900_series/firmware/9_3_1SR1/release_notes/P790_BK_R4E1E768_00_rn-9_3_1_sr1-7900-series_chapter_00.html#P790_RF_ND56648A_00

Cheers!

Rob

"I don't know how, I don't know when
But you and I will meet again " 

- Tom Petty

VIP Super Bronze

issue with new phone 7962 firmware upgrade

Wao...great info Rob! Something new to learn today...(+5)

Please rate all useful posts

"opportunity is a haughty goddess who waste no time with those who are unprepared"

Please rate all useful posts "The essence of christianity is not the enthronement but the obliteration of self --William Barclay"
New Member

issue with new phone 7962 firmware upgrade

Hi Rob, thanks for sharing this with us.  Yes you are right,  I have checked my old 7962, it's hardware version is 14;  but the new one is 16.  

The interesting thing is that in my first box of 8 new 7962 phone, they all have been registered without any problem, but every time when it connected, the upgrade window display and indicates it try to upload the old firmware 42.9-2 from CUCM,  but after a few second it reboot and skip the upgrading window and go through to register with CUCM via it's new firmware. this process happens every time when connected those phone. So seem to me, these 8 phones has the ability to skip the default firmware defined in cucm device setting and use it's own newer firmware(42.9-3), while other phone don't, which end up with uploaded incompatible firmware (42.9-2) 

I thought that all the phone with latest firmware will automatically skip from downloading the old firmware (this true in my lab), but seem to me this is not the case, can anyone here from Cisco to confirm?.

Now my question is how to stop those new phone from being automatically uploaded with the old firmware 42.9-2.1S from TFTP server. 

I am aware of the option to upload the new firmware to CUCM and but I don't want to affect hundreds of existing phone. I can solve this issue by  forcing them to user the old version via the phone load field in each phone's device information page but I believe there must be some better option than that.   Any other suggestion?

many thanks...  Roy

3942
Views
15
Helpful
4
Replies
CreatePlease login to create content